Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 221001 - Illegal request -- (Sense key=0x05) when trying to copy/play files from a VCD
Summary: Illegal request -- (Sense key=0x05) when trying to copy/play files from a VCD
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2006-12-30 07:10 UTC by Rakhesh Sasidharan
Modified: 2008-02-08 04:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:04 UTC


Attachments (Terms of Use)

Description Rakhesh Sasidharan 2006-12-30 07:10:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
I am unable to copy files from VCDs to the computer. And I am also unable to play such files from VCDs. 

Fedora Core 6 is the first version of Fedora I am using. So I don't know if it appears in previous versions. I think its a kernel problem coz I can reproduce the error in other distros such as openSUSE 10.2 and Slackware 11. The problem appears to be in kernels 2.6.16 and above. I have tried kernels at random from the 2.6.17 series, the problem persists. I tried a kernel at random from the 2.6.16 series (2.6.16.23) and can't reproduce the problem there. 

There's two parts to this problem.

First part is that if you insert a VCD into the drive, dmesg immediately spits output like this:

hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f2 00 00 01 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118728
Buffer I/O error on device hdc, logical block 29682
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f3 00 00 03 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118732
Buffer I/O error on device hdc, logical block 29683
Buffer I/O error on device hdc, logical block 29684
Buffer I/O error on device hdc, logical block 29685
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f2 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118728
Buffer I/O error on device hdc, logical block 29682
Buffer I/O error on device hdc, logical block 29683
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown

Its not even possible to mount the VCD or copy files off it! 

I have tried this with many different VCDs. All of them working normally in my VCD player or Windows. And I've tried these different VCDs on both Fedora Core 6 and other distros (mentioned above). When I dabbled with Linux a while ago (Fedora Core 4, Ubuntu etc) I know this was no problem ... it was possible to mount VCDs and copy files off them. 

I reported this to the LMKL (and also filed a bug at bugzilla.kernel.org). They tell me its a HAL issue and that nothing was changed in the kernel with respect to CD access. So I fooled around a bit more. Disabled HAL and sure enough the problem is gone. And I finally tracked the problem down to the fact that HAL has a polling module for the CDs and that is what causes all these errors to appear as soon as the CD is inserted. Modified HAL to disable CD polling, and sure enough I can mount VCDs without any hassles.

Now for part two.

After mounting I tried to copy the files from VCD to hard disk. (I also tried playing the file using Totem, VLC etc). It fails! On the command prompt I get an Input/ Output error, and dmesg starts spitting out errors like the above again. 

Just to confirm that its no HAL etc problem at all, I booted into single user mode and tried. And I can reproduce the errors there too. 

On Slackware 11 (where I get the same errors) I downgraded the kernel to 2.6.16.23 and that solves the problem! All this leads me to think its a kernel issue. 

As an aside, Xine is able to play the VCDs fine. It doesn't mount them, but access the tracks directly -- so it isn't affected. 

Version-Release number of selected component (if applicable):
kernel-2.6.18

How reproducible:
Always


Steps to Reproduce:
If HAL is active: 
1. Insert VCD.
2. Check dmesg. 

If HAL is inactive (eg. single user mode):
1. Insert VCD.
2. Mount VCD.
3. Copy files off VCD (or try to play one of them). 

Actual Results:
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f2 00 00 01 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118728
Buffer I/O error on device hdc, logical block 29682
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f3 00 00 03 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118732
Buffer I/O error on device hdc, logical block 29683
Buffer I/O error on device hdc, logical block 29684
Buffer I/O error on device hdc, logical block 29685
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 00 73 f2 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 118728
Buffer I/O error on device hdc, logical block 29682
Buffer I/O error on device hdc, logical block 29683
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown

Expected Results:
Watch movie! :)

Additional info:
Linux calvin.home 2.6.18-1.2868.fc6 #1 SMP Fri Dec 15 17:32:54 EST 2006 i686 i686 i386 GNU/Linux

Comment 1 Rakhesh Sasidharan 2006-12-30 07:15:26 UTC
Forgot to add: The only similar bug I can find on this Bugzilla is
"https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=163476". But there the bug
wasn't show stopping. VCDs could still be played/ copied, the error messages
were just informative/ warning-ish. Something happened since then to stop
copying/ playing itself. 

Comment 2 Jon Stanley 2008-01-08 01:49:12 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:27:04 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.